
Redmine - Defect #20027

SVN - Repository access / loading broken

2015-06-05 12:14 - Werner _

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.0.3

Description

I have updated redmine from 3.0.1 to 3.0.3 and since then displaying local source respositories is broken.

In my setup redmine and the SVN repositories are on the same host. Therefore I used to add repositories using file://, like:

file:///C:/myfolder/svn/repo1

This used to work fine, since 3.0.3 I do get the error:

The entry or revision was not found in the repository.

 The log says:

svn: E020024: Error resolving case of  ¯file:\\\c:\myfolder\svn\repo" --no-auth-cache --non-interactive®

I am not sure where the error could be located. I have taken a look at the latest changesets (

http://www.redmine.org/projects/redmine/repository/changes/tags/3.0.3/app/models/repository.rb) but did not see anything suspicious

- but maybe thats the wrong place to look. I am not an experienced redmine developer ;)

Environment:

Redmine version                3.0.3.stable

Ruby version                   1.9.3-p551 (2015-05-04) [java]

Rails version                  4.2.1

Environment                    production

Database adapter               MySQL

SCM:

Subversion                     1.8.13

Filesystem

History

#1 - 2015-06-05 13:06 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

Redmine 3.0 does not support JRuby.

https://github.com/jruby/activerecord-jdbc-adapter/issues/599

https://github.com/rails/rails/blame/v4.2.1/.travis.yml#L40

"svn: E020024" does not relate Redmine.

#2 - 2015-06-05 13:10 - Werner _

- Status changed from Closed to Reopened

I did use redmine 3.0.1 with exact the same configuation as stated above and SVN did work with that config. Why do you close the issue then? Could

it not be that the issue is also valid for regular ruby users?
#3 - 2015-06-05 13:26 - Toshi MARUYAMA

- Status changed from Reopened to Closed

JRuby is not "regular ruby".

#4 - 2015-06-05 14:13 - Werner _

That was constructive, thanks a lot.
